SELECT
    split(shareid, '-')[0] as from_mid,
    clickobjectid as vid,
    machinecode as target_mid,
    clienttimestamp as ts
FROM loghubods.user_share_log
WHERE dt = '${dt}'
    AND topic = 'click'
    AND clickobjectid IS NOT NULL
    AND shareid LIKE 'weixin_openid%'
